Package ipfs.gomobile.android.bledriver

## Class Logger

- java.lang.Object
- - ipfs.gomobile.android.bledriver.Logger

-     public class Logger
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Logger.Level` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Logger​(boolean showSensitiveData, boolean useExternalLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `d​(java.lang.String tag, java.lang.String message)` |
    `void` | `e​(java.lang.String tag, java.lang.String message)` |
    `void` | `e​(java.lang.String tag, java.lang.String message, java.lang.Throwable tr)` |
    `void` | `i​(java.lang.String tag, java.lang.String message)` |
    `void` | `log​(Logger.Level level, java.lang.String tag, java.lang.String message)` |
    `java.lang.String` | `sensitiveObject​(java.lang.Object obj)` |
    `boolean` | `showSensitiveData()` |
    `void` | `v​(java.lang.String tag, java.lang.String message)` |
    `void` | `w​(java.lang.String tag, java.lang.String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger​(boolean showSensitiveData,
                        boolean useExternalLogger)

  - ### Method Detail

    - #### log

          public void log​(Logger.Level level,
                          java.lang.String tag,
                          java.lang.String message)

    - #### v

          public void v​(java.lang.String tag,
                        java.lang.String message)

    - #### d

          public void d​(java.lang.String tag,
                        java.lang.String message)

    - #### i

          public void i​(java.lang.String tag,
                        java.lang.String message)

    - #### w

          public void w​(java.lang.String tag,
                        java.lang.String message)

    - #### e

          public void e​(java.lang.String tag,
                        java.lang.String message)

    - #### e

          public void e​(java.lang.String tag,
                        java.lang.String message,
                        java.lang.Throwable tr)

    - #### sensitiveObject

          public java.lang.String sensitiveObject​(java.lang.Object obj)

    - #### showSensitiveData

          public boolean showSensitiveData()